<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/cds/ldsreport" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/cds/ldsreport" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="CDSLDSREPORT">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předešlou zprávu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Data" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Měsíční výkaz - LDS</xsd:documentation>
						<xsd:documentation xml:lang="EN">Locality</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="Row" type="row_type" minOccurs="0" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Řádek výkazu (výkazy za rok 2016 a dále)</xsd:documentation>
									<xsd:documentation xml:lang="EN">Report row</xsd:documentation>
								</xsd:annotation>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="grid-id">
							<xsd:annotation>
								<xsd:documentation>Síť</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="10"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="val-year">
							<xsd:annotation>
								<xsd:documentation>Rok výkazu</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:length value="4"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="val-month">
							<xsd:annotation>
								<xsd:documentation>Měsíc výkazu</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:length value="2"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="rep-type">
							<xsd:annotation>
								<xsd:documentation>Typ výkazu</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:length value="1"/>
									<xsd:enumeration value="1">
										<xsd:annotation>
											<xsd:documentation>LDS</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="2">
										<xsd:annotation>
											<xsd:documentation>Ostrov</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="3">
										<xsd:annotation>
											<xsd:documentation>Dovoz</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="4">
										<xsd:annotation>
											<xsd:documentation>Vymezený ostrov nap. z ES</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="version">
							<xsd:annotation>
								<xsd:documentation>Verze</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="4"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v1-ds-cons">
							<xsd:annotation>
								<xsd:documentation>Odběr elektřiny z propojené distribuční soustavy (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v2-ds-supply">
							<xsd:annotation>
								<xsd:documentation>Dodávka elektřiny do propojené distribuční soustavy (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v3-prod-prod">
							<xsd:annotation>
								<xsd:documentation>Celková dodávka elektřiny výrobců, jejichž zařízení jsou připojena do lokální distribuční soustavy, do této soustavy (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="v4-prod-cons">
							<xsd:annotation>
								<xsd:documentation>Celkový odběr elektřiny výrobců, jejichž zařízení jsou připojena do lokální distribuční soustavy, z této soustavy (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v5-end-cons">
							<xsd:annotation>
								<xsd:documentation>Suma konečných spotřeb elektřiny za předávacíma místy výroben (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v6-local-cons">
							<xsd:annotation>
								<xsd:documentation>Z toho celková lokální spotřeba výrobců elektřiny spotřebovaná v areálech výroben (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v7-tot-lds-cons">
							<xsd:annotation>
								<xsd:documentation>Celková konečná spotřeba elektřiny v lokální distribuční soustavě (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v8-tot-loc-cons">
							<xsd:annotation>
								<xsd:documentation>Z toho celková lokální spotřeba výrobců elektřiny spotřebovaná v lokální distribuční soustavě mimo areály výroben (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v9-loss">
							<xsd:annotation>
								<xsd:documentation>Ztráty elektřiny v lokální distribuční soustavě (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="18"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="v10-pdt" type="ote:ean18">
							<xsd:annotation>
								<xsd:documentation>Označení předávacího místa podle smlouvy o připojení k nadřazené soustavě</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="v11-voltage" type="ote:voltage-level">
							<xsd:annotation>
								<xsd:documentation>Napětí v předávacím místě s nadřazenou soustavou (výkazy za rok 2015 a dříve)</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="EN">Message Identification</xsd:documentation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code that specifies the message content.</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="277">
							<xsd:annotation>
								<xsd:documentation>Měsíční výkaz LDS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="279">
							<xsd:annotation>
								<xsd:documentation>Měsíční výkaz LDS - opis dat</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="282">
							<xsd:annotation>
								<xsd:documentation>Měsíční výkaz LDS - opis dat</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze, zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions; so far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze. Zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď 1=ANO, 0=NE</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response 1=YES, 0=NO</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="interval" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Interval platnosti dat</xsd:documentation>
					<xsd:documentation xml:lang="EN">Data validity interval</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:pattern value="\d{4}-\d\d-\d\dT\d\d:\d\d(:\d\d)?/\d{4}-\d\d-\d\dT\d\d:\d\d(:\d\d)?"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="time-offset" use="optional" default="+1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Časový posun</xsd:documentation>
					<xsd:documentation xml:lang="EN">Time off-set</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:pattern value="[-+]?\d"/>
						<xsd:pattern value="[-+]?1\d"/>
						<xsd:pattern value="[-+]?2[01234]"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="split-counter" type="xsd:integer" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Pořadí zprávy v rámci odpovědi</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message order within response</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="split-last" type="xsd:boolean" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Poslední zpráva</xsd:documentation>
					<xsd:documentation xml:lang="EN">Last message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
	<xsd:simpleType name="qty_type">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Desetinné číslo na max. 5 des. míst (ne exponenciální tvar)</xsd:documentation>
			<xsd:documentation xml:lang="EN">Decimal number - max. 5 decimal places (not an exponential form)</xsd:documentation>
		</xsd:annotation>
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="16"/>
			<xsd:pattern value="-?\d+(\.\d{1,5})?"/>
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:complexType name="row_type">
		<xsd:attribute name="id" use="required">
			<xsd:annotation>
				<xsd:documentation xml:lang="CS">Číslo řádku</xsd:documentation>
				<xsd:documentation xml:lang="EN">Row ID</xsd:documentation>
			</xsd:annotation>
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="10"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="value" type="qty_type" use="optional">
			<xsd:annotation>
				<xsd:documentation xml:lang="CS">Množství</xsd:documentation>
				<xsd:documentation xml:lang="EN">Quantity</xsd:documentation>
			</xsd:annotation>
		</xsd:attribute>
		<xsd:attribute name="PDT-count" type="qty_type" use="optional">
			<xsd:annotation>
				<xsd:documentation xml:lang="CS">Počet OPM k poslednímu dni v měsíci</xsd:documentation>
				<xsd:documentation xml:lang="EN">PDT count to end of month</xsd:documentation>
			</xsd:annotation>
		</xsd:attribute>
	</xsd:complexType>
</xsd:schema>
